package com.hcloud.microservice.org.facade.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.org.facade.fallback.factory.AuthManagerFallbackFactory;
import com.hcloud.microservice.org.facade.forms.BaseAuthForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author xiezt
 */
@FeignClient(name = "org-service" ,path = "/auth",fallbackFactory =AuthManagerFallbackFactory.class)
public interface AuthManagerService {

    /**
     * 分页查询权限信息
     * @param baseAuthForm
     * @return
     */
    @PostMapping(value = "/searchAuthInfoByPage")
    ResultVO searchAuthInfoByPage( @RequestBody BaseAuthForm baseAuthForm);

    /**
     * 添加权限信息
     * @param baseAuthForm
     * @return
     */
    @PostMapping(value = "/addAuthInfo")
    ResultVO addAuthInfo( @RequestBody BaseAuthForm baseAuthForm);

    /**
     * 修改权限信息
     * @param baseAuthForm
     * @return
     */
    @PostMapping(value = "/updateAuthInfo")
    ResultVO updateAuthInfo(@RequestBody BaseAuthForm baseAuthForm);




}
