package com.hcloud.microservice.org.facade.client;

import com.hcloud.microserver.commoncore.base.ResultVO;
import com.hcloud.microservice.org.facade.fallback.factory.PositionManagerFallbackFactory;
import com.hcloud.microservice.org.facade.fallback.factory.UserManagerFallbackFactory;
import com.hcloud.microservice.org.facade.forms.BaseUserAuthForm;
import com.hcloud.microservice.org.facade.forms.BaseUserForm;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @author xiezt
 */
@FeignClient(value = "org-service",path = "/position",fallbackFactory = PositionManagerFallbackFactory.class)
public interface PositionManagerService {


    /**
     * 通过父码查询子区域信息
     * @param parentCode
     * @return
     */
    @GetMapping("/getByParentCode")
    ResultVO getBasePositionByParentCode(@RequestParam("parentCode") String parentCode);

    /**
     * 通过编码码查询子区域信息
     * @param code
     * @return
     */
    @GetMapping("/getByCode")
    ResultVO getBasePositionByCode(@RequestParam("code") String code);
}
